curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/payouts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"sourceWalletId": "53535335",
"destination": {
"type": "wire",
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"name": "COMMERZBANK AG ****3000"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"toAmount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"status": "pending",
"trackingRef": "CIR-6ESOQANEP3NAO",
"errorCode": "insufficient_funds",
"riskEvaluation": {
"decision": "approved",
"reason": "3000"
},
"adjustments": {
"fxCredit": {
"amount": "3.14",
"currency": "USD"
},
"fxDebit": {
"amount": "3.14",
"currency": "USD"
}
},
"return": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"reason": "payout_returned",
"status": "pending",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
}
}curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/payouts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"sourceWalletId": "53535335",
"destination": {
"type": "wire",
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"name": "COMMERZBANK AG ****3000"
},
"amount": {
"amount": "3.14",
"currency": "USD"
},
"toAmount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"status": "pending",
"trackingRef": "CIR-6ESOQANEP3NAO",
"errorCode": "insufficient_funds",
"riskEvaluation": {
"decision": "approved",
"reason": "3000"
},
"adjustments": {
"fxCredit": {
"amount": "3.14",
"currency": "USD"
},
"fxDebit": {
"amount": "3.14",
"currency": "USD"
}
},
"return": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"fees": {
"amount": "3.14",
"currency": "USD"
},
"reason": "payout_returned",
"status": "pending",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Successfully retrieved a payout.
Show child attributes
Unique system generated identifier for the entity.
"b8627ae8-732b-4d25-b947-1df8f4007a29"
The identifier of the source wallet used to fund a payout.
"53535335"
The destination bank account.
Show child attributes
The destination bank account type.
wire, cubix Unique system generated identifier for the entity.
"b8627ae8-732b-4d25-b947-1df8f4007a29"
Bank name plus last four digits of the bank account number or IBAN.
"COMMERZBANK AG ****3000"
Status of the payout. Status pending indicates that the payout is in process; complete indicates it finished successfully; failed indicates it failed.
pending, complete, failed A payout tracking reference. Will be present once known.
"CIR-6ESOQANEP3NAO"
Indicates the failure reason of a payout. Only present for payouts in failed state. Possible values are [insufficient_funds, transaction_denied, transaction_failed, transaction_returned, bank_transaction_error, fiat_account_limit_exceeded, invalid_bank_account_number, invalid_ach_rtn, invalid_wire_rtn, vendor_inactive]'
insufficient_funds, transaction_denied, transaction_failed, transaction_returned, bank_transaction_error, fiat_account_limit_exceeded, invalid_bank_account_number, invalid_ach_rtn, invalid_wire_rtn, vendor_inactive Results of risk evaluation. Only present if the payment is denied by Circle's risk service.
Final adjustment which increases (credits) or decreases (debits) the total returned amount to the source wallet.
Show child attributes
Return information if the payout is returned by bank. Only present if errorCode of payout is transaction_returned.
Show child attributes
Unique system generated identifier for the entity.
"b8627ae8-732b-4d25-b947-1df8f4007a29"
Universally unique identifier (UUID v4) of the payout that is associated with the return.
"abdb500d-4a59-457c-801f-2d418c8703ac"
Reason for the return.
"payout_returned"
Status of the return. A pending status indicates that the return is in process; complete indicates it finished successfully; failed indicates it failed.
pending, complete, failed ISO-8601 UTC date/time format.
"2020-04-10T02:13:30.000Z"
ISO-8601 UTC date/time format.
"2020-04-10T02:13:30.000Z"
ISO-8601 UTC date/time format.
"2020-04-10T02:13:30.000Z"
ISO-8601 UTC date/time format.
"2020-04-10T02:13:30.000Z"
Was this page helpful?